Apothecary: Permission Denied While compiling poco

I got this error while compiling poco in an ubuntu machine 32 bit… (while running dependencies)

is it because I copied the OF branch from a FAT32 usb and the .sh files for compiling poco don’t have the run as script clicked?

What Is The script Path?